/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.impl;

import org.xmloperator.lambda3.model.TermPrinter;

/**
 * Term printing options.
 */
public final class PrintOptions {
	char lambdaChar = TermPrinter.CHAR_LAMBDA;
	boolean canAbstractionsBeGrouped = true;
	boolean separateIdentifiersWithSpaces = false;
	boolean canMakeTupples = true;
	boolean recognizeChurchNumerals = true;

	public PrintOptions() {
	}

	public void copy(PrintOptions options) {
		this.lambdaChar = options.lambdaChar;
		this.canAbstractionsBeGrouped = options.canAbstractionsBeGrouped;
		this.separateIdentifiersWithSpaces = options.separateIdentifiersWithSpaces;
		this.canMakeTupples = options.canMakeTupples;
		this.recognizeChurchNumerals = options.recognizeChurchNumerals;
	}
}
