/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.exception.term;

import org.xmloperator.lambda3.model.Term;
import org.xmloperator.lambda3.model.Variable;

/**
 * Exception raised when a Variable is bound to an external Abstraction.
 */
public class ExternalBoundVariableException extends TermException {
	private static final long serialVersionUID = 7844866465669256319L;

	public ExternalBoundVariableException(Variable variable) {
		super(variable);
	}

	public ExternalBoundVariableException(Term rootTerm, Variable variable) {
		super(rootTerm, variable);
	}
}