/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.exception.term;

import org.xmloperator.lambda3.model.Term;

/**
 * Exception raised when an opened Term is expected to be closed.
 */
public class NotClosedTermException extends TermException {
	private static final long serialVersionUID = -7247730577239653650L;

	public NotClosedTermException(Term term) {
		super(term);
	}

	public NotClosedTermException(Term rootTerm, Term term) {
		super(rootTerm, term);
	}
}