/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.model.type;

public interface FunctionTermType extends TermType {

	/**
	 * Returns the input TermType of this FunctionTermType.
	 * 
	 * @return the input TermType of this FunctionTermType.
	 */
	public TermType getInput();

	/**
	 * Returns the output TermType of this FunctionTermType.
	 * 
	 * @return the output TermType of this FunctionTermType.
	 */
	public TermType getOutput();
}
